%define major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:		freealut
Summary:	OpenAL Utility Toolkit (ALUT)
Version:	1.1.0
Release:	%mkrel 18
License:	LGPLv2
Group:		System/Libraries
URL:		https://www.openal.org/
Source:		https://www.openal.org/openal_webstf/downloads/%{name}-%{version}.tar.bz2
Patch0:		%{name}-openal.patch
BuildRequires:	pkgconfig(openal)

%description
ALUT is the OpenAL Utility Toolkit.

%package -n %{libname}
Summary:	Main library for ALUT
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with ALUT.

%package -n %{develname}
Summary:	Headers for developing programs that will use ALUT
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname %{name} 0 -d
Provides:	%mklibname %{name} 0 -d
Conflicts:	openal-devel < 0.0.8-2

%description -n	%{develname}
This package contains the headers that programmers will need to develop
applications which will use ALUT.

%prep
%setup -q
%autopatch -p1

%build
./autogen.sh
%configure
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/AL
%{_libdir}/*.a
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/*.so
%{_bindir}/%{name}-config




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.1.0-18.mga10
+ Revision: 2196105
- Mageia 10 Mass Rebuild

* Thu Mar 17 2022 umeabot <umeabot> 1.1.0-17.mga9
+ Revision: 1796741
- Mageia 9 Mass Rebuild

* Thu Aug 20 2020 ovitters <ovitters> 1.1.0-16.mga8
+ Revision: 1616844
- remove install-info scriptlets, rely on filetrigger instead (mga#27107)

* Thu Feb 13 2020 umeabot <umeabot> 1.1.0-15.mga8
+ Revision: 1512329
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.1.0-14.mga7
+ Revision: 1297760
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Mon Feb 08 2016 umeabot <umeabot> 1.1.0-13.mga6
+ Revision: 942538
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.0-12.mga5
+ Revision: 748845
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.0-11.mga5
+ Revision: 679325
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1.0-10.mga4
+ Revision: 504648
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.1.0-9.mga3
+ Revision: 350808
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 barjac <barjac> 1.1.0-8.mga3
+ Revision: 344296
- update groups

* Thu Mar 24 2011 dams <dams> 1.1.0-7.mga1
+ Revision: 76883
- Import and clean
- imported package freealut


* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-7mdv2010.1
+ Revision: 522670
- rebuilt for 2010.1

* Sat Aug 22 2009 Funda Wang <fwang@mandriva.org> 1.1.0-6mdv2010.0
+ Revision: 419591
- update file list
- drop la files (openal does not ship la files now)

* Sat Aug 02 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.1.0-5mdv2009.0
+ Revision: 260499
- Redid freealut-oopenal.patch to fix underlinking in libalut.

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Oct 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.0-4mdv2008.1
+ Revision: 101395
- rebuild for new era
- new devel library policy
- new license policy
- add patch 0 (stolen from Fedora ;)
- spec file clean


* Tue Dec 05 2006 Olivier Blin <oblin@mandriva.com> 1.1.0-3mdv2007.0
+ Revision: 90690
- make devel package conflicts with old openal-devel

* Tue Dec 05 2006 Olivier Blin <oblin@mandriva.com> 1.1.0-2mdv2007.1
+ Revision: 90658
- initial freealut release
- Create freealut

